# DocumentFile - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.files / DocumentFile

# DocumentFile

(common) `data class DocumentFile : TelegramMediaFile, MimedMediaFile, ThumbedMediaFile, CustomNamedMediaFile` (source)

### Constructors

(common)

#### <init>

`DocumentFile(fileId: FileId, fileUniqueId: FileUniqueId, fileSize: Long? = null, thumb: PhotoSize? = null, mimeType: MimeType? = null, fileName: String? = null)`

### Properties

(common)

#### fileId

`val fileId: FileId`

(common)

#### fileName

`val fileName: String?`

(common)

#### fileSize

`val fileSize: Long?`

(common)

#### fileUniqueId

`val fileUniqueId: FileUniqueId`

(common)

#### mimeType

`val mimeType: MimeType?`

(common)

#### thumb

`val thumb: PhotoSize?`